- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDExtra Class Reference

A COLLADA extra tree. More...

`#include <FCDExtra.h>`

Inheritance diagram for FCDExtra:

List of all members.

## Public Member Functions
| FCDExtra (FCDocument *document, FUObject *parent)
| Constructor.
virtual | ~FCDExtra ()
| Destructor.
FUObject * | GetParent ()
| Retrieves the parent object for the extra tree.
const FUObject * | GetParent () const
| See above.
| DEPRECATED (3.05A, GetTypeCount and GetType(index)) inline void GetTypes() const
| Retrieves the list of types contained by this extra tree.
size_t | GetTypeCount () const
| Retrieves the number of types contained by this extra tree.
FCDEType * | GetDefaultType ()
| Retrieves the default extra type.
const FCDEType * | GetDefaultType () const
| See above.
FCDEType * | GetType (size_t index)
| Retrieves a specific type contained by this extra tree.
const FCDEType * | GetType (size_t index) const
| See above.
FCDEType * | AddType (const char *name)
| Adds a new application-specific type to the extra tree.
FCDEType * | AddType (const fm::string &name)
| See above.
FCDEType * | FindType (const char *name)
| Retrieves a specific type contained by this extra tree.
const FCDEType * | FindType (const char *name) const
| See above.
FCDEType * | FindType (const fm::string &name)
| See above.
const FCDEType * | FindType (const fm::string &name) const
| See above.
bool | HasContent () const
| Determines whether this structure is empty or not.
FCDExtra * | Clone (FCDExtra *clone=NULL) const
| [INTERNAL] Clones the extra tree information.

## Detailed Description

A COLLADA extra tree.

An extra tree contains the user-defined COLLADA information contained within <extra> elements. For this, the extra tree root simply contains a list of techniques. Each technique belongs to a different application-specific profile.

## Constructor & Destructor Documentation

FCDExtra::FCDExtra | ( | FCDocument * | document,
|  | FUObject * | parent
| ) |

  | Constructor. Only structures that contain extra trees should create them. Parameters:
  | document | The COLLADA document that owns the extra tree.
  | parent | The object that contains this extra tree. This parameter is used only for plug-in support.

## Member Function Documentation

FCDEType* FCDExtra::AddType | ( | const char * | name | ) |

  | Adds a new application-specific type to the extra tree. If the given application-specific type already exists within the extra tree, the old type will be returned. Parameters:
  | name | The application-specific name.
Returns: A type for this application-specific name.

FCDExtra* FCDExtra::Clone | ( | FCDExtra * | clone = `NULL` | ) | const

  | [INTERNAL] Clones the extra tree information. Parameters:
  | clone | The extra tree that will take in this extra tree's information. If this pointer is NULL, a new extra tree will be created and you will need to release the returned pointer manually.
Returns: The clone.

FCDExtra::DEPRECATED | ( | 3. | 05A,
|  | GetTypeCount and | GetType(index)
| ) | const`[inline]`

| Retrieves the list of types contained by this extra tree. Returns: The list of types.

FCDEType* FCDExtra::FindType | ( | const char * | name | ) | `[inline]`

  | Retrieves a specific type contained by this extra tree. Parameters:
  | name | The application-specific name of the type.
Returns: The type that matches the name. This pointer may be NULL if no type matches the name.

FCDEType* FCDExtra::GetDefaultType | ( |  | ) | `[inline]`

| Retrieves the default extra type. The default extra type has an empty typename and is always created by default. The default extra type will NOT be exported if it is empty. Returns: The default extra type.

FUObject* FCDExtra::GetParent | ( |  | ) | `[inline]`

| Retrieves the parent object for the extra tree. Returns: The parent object pointer.

FCDEType* FCDExtra::GetType | ( | size_t | index | ) | `[inline]`

  | Retrieves a specific type contained by this extra tree. Parameters:
  | index | The index of the type.
Returns: The type. This pointer will be NULL if the index is out-of-bounds.

size_t FCDExtra::GetTypeCount | ( |  | ) | const`[inline]`

| Retrieves the number of types contained by this extra tree. Returns: The number of types.

bool FCDExtra::HasContent | ( |  | ) | const

| Determines whether this structure is empty or not. Basically, if there is an extra type, and that this type contains at least one extra technique, content exists. Returns: True if non-empty, false otherwise.

The documentation for this class was generated from the following file:

- FCDocument/FCDExtra.h